Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QAbstractFileEngine.FileFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QAbstractFileEngine.FileFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractFileEngine

    public static final class QAbstractFileEngine.FileFlag

extends java.lang.Enum
implements QtEnumerator

The permissions and types of a file, suitable for OR'ing together.

See also:
  `fileFlags()`, and `setFileName()`.

See Also:
  Serialized Form

Field Summary
`static QAbstractFileEngine.FileFlag` | `BundleType` The file is a Mac OS X bundle implies `DirectoryType`
`static QAbstractFileEngine.FileFlag` | `DirectoryType` The file is a directory in the file system (i.
`static QAbstractFileEngine.FileFlag` | `ExeGroupPerm` Members of the current user's group have permission to execute the file.
`static QAbstractFileEngine.FileFlag` | `ExeOtherPerm` All users have permission to execute the file.
`static QAbstractFileEngine.FileFlag` | `ExeOwnerPerm` The owner of the file has permission to execute it.
`static QAbstractFileEngine.FileFlag` | `ExeUserPerm` The current user has permission to execute the file.
`static QAbstractFileEngine.FileFlag` | `ExistsFlag` The file actually exists in the file system.
`static QAbstractFileEngine.FileFlag` | `FileInfoAll`
`static QAbstractFileEngine.FileFlag` | `FileType` The file is a regular file to the file system (i.
`static QAbstractFileEngine.FileFlag` | `FlagsMask`
`static QAbstractFileEngine.FileFlag` | `HiddenFlag` The file is hidden.
`static QAbstractFileEngine.FileFlag` | `LinkType` The file is a link to another file (or link) in the file system (i.e.
`static QAbstractFileEngine.FileFlag` | `LocalDiskFlag` The file resides on the local disk and can be passed to standard file functions.
`static QAbstractFileEngine.FileFlag` | `PermsMask`
`static QAbstractFileEngine.FileFlag` | `ReadGroupPerm` Members of the current user's group have permission to read the file.
`static QAbstractFileEngine.FileFlag` | `ReadOtherPerm` All users have permission to read the file.
`static QAbstractFileEngine.FileFlag` | `ReadOwnerPerm` The owner of the file has permission to read it.
`static QAbstractFileEngine.FileFlag` | `ReadUserPerm` The current user has permission to read the file.
`static QAbstractFileEngine.FileFlag` | `Refresh` Passing this flag will force the file engine to refresh all flags.
`static QAbstractFileEngine.FileFlag` | `RootFlag` The file or the file pointed to is the root of the filesystem.
`static QAbstractFileEngine.FileFlag` | `TypesMask`
`static QAbstractFileEngine.FileFlag` | `WriteGroupPerm` Members of the current user's group have permission to write to the file.
`static QAbstractFileEngine.FileFlag` | `WriteOtherPerm` All users have permission to write to the file.
`static QAbstractFileEngine.FileFlag` | `WriteOwnerPerm` The owner of the file has permission to write to it.
`static QAbstractFileEngine.FileFlag` | `WriteUserPerm` The current user has permission to write to the file.

Method Summary
`static QAbstractFileEngine.FileFlags` | `createQFlags(QAbstractFileEngine.FileFlag[] values)` This function creates a com.trolltech.qt.core.QAbstractFileEngine$FileFlags with the specified `com.trolltech.qt.core.QAbstractFileEngine$FileFlag[]` QAbstractFileEngine$FileFlag values set.
`static QAbstractFileEngine.FileFlag` | `resolve(int value)` Returns the QAbstractFileEngine$FileFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractFileEngine.FileFlag` | `valueOf(java.lang.String name)`
`static QAbstractFileEngine.FileFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ReadOwnerPerm

    public static final QAbstractFileEngine.FileFlag ReadOwnerPerm

  The owner of the file has permission to read it.

### WriteOwnerPerm

    public static final QAbstractFileEngine.FileFlag WriteOwnerPerm

  The owner of the file has permission to write to it.

### ExeOwnerPerm

    public static final QAbstractFileEngine.FileFlag ExeOwnerPerm

  The owner of the file has permission to execute it.

### ReadUserPerm

    public static final QAbstractFileEngine.FileFlag ReadUserPerm

  The current user has permission to read the file.

### WriteUserPerm

    public static final QAbstractFileEngine.FileFlag WriteUserPerm

  The current user has permission to write to the file.

### ExeUserPerm

    public static final QAbstractFileEngine.FileFlag ExeUserPerm

  The current user has permission to execute the file.

### ReadGroupPerm

    public static final QAbstractFileEngine.FileFlag ReadGroupPerm

  Members of the current user's group have permission to read the file.

### WriteGroupPerm

    public static final QAbstractFileEngine.FileFlag WriteGroupPerm

  Members of the current user's group have permission to write to the file.

### ExeGroupPerm

    public static final QAbstractFileEngine.FileFlag ExeGroupPerm

  Members of the current user's group have permission to execute the file.

### ReadOtherPerm

    public static final QAbstractFileEngine.FileFlag ReadOtherPerm

  All users have permission to read the file.

### WriteOtherPerm

    public static final QAbstractFileEngine.FileFlag WriteOtherPerm

  All users have permission to write to the file.

### ExeOtherPerm

    public static final QAbstractFileEngine.FileFlag ExeOtherPerm

  All users have permission to execute the file.

### LinkType

    public static final QAbstractFileEngine.FileFlag LinkType

  The file is a link to another file (or link) in the file system (i.e. not a file or directory).

### FileType

    public static final QAbstractFileEngine.FileFlag FileType

  The file is a regular file to the file system (i. . not a link or directory)

### DirectoryType

    public static final QAbstractFileEngine.FileFlag DirectoryType

  The file is a directory in the file system (i. . not a link or file).

### BundleType

    public static final QAbstractFileEngine.FileFlag BundleType

  The file is a Mac OS X bundle implies `DirectoryType`

### HiddenFlag

    public static final QAbstractFileEngine.FileFlag HiddenFlag

  The file is hidden.

### LocalDiskFlag

    public static final QAbstractFileEngine.FileFlag LocalDiskFlag

  The file resides on the local disk and can be passed to standard file functions.

### ExistsFlag

    public static final QAbstractFileEngine.FileFlag ExistsFlag

  The file actually exists in the file system.

### RootFlag

    public static final QAbstractFileEngine.FileFlag RootFlag

  The file or the file pointed to is the root of the filesystem.

### Refresh

    public static final QAbstractFileEngine.FileFlag Refresh

  Passing this flag will force the file engine to refresh all flags.

### PermsMask

    public static final QAbstractFileEngine.FileFlag PermsMask

### TypesMask

    public static final QAbstractFileEngine.FileFlag TypesMask

### FlagsMask

    public static final QAbstractFileEngine.FileFlag FlagsMask

### FileInfoAll

    public static final QAbstractFileEngine.FileFlag FileInfoAll

Method Detail

### values

    public static QAbstractFileEngine.FileFlag[] values()

### valueOf

    public static QAbstractFileEngine.FileFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAbstractFileEngine.FileFlags createQFlags(QAbstractFileEngine.FileFlag[] values)

  This function creates a com.trolltech.qt.core.QAbstractFileEngine$FileFlags with the specified `com.trolltech.qt.core.QAbstractFileEngine$FileFlag[]` QAbstractFileEngine$FileFlag values set.

### resolve

    public static QAbstractFileEngine.FileFlag resolve(int value)

  Returns the QAbstractFileEngine$FileFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD